Search movies
curl --request GET \
--url https://api.themoviedb.org/3/3/search/movie \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/3/search/movie"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/3/search/movie', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/zuW6fOiusv4X9nnW3paHGfXcSll.jpg",
"id": 86311,
"name": "The Avengers Collection",
"original_language": "en",
"original_name": "The Avengers Collection",
"overview": "A superhero film series produced by Marvel Studios based on the Marvel Comics superhero team of the same name, and part of the Marvel Cinematic Universe (MCU). The series features an ensemble cast from the Marvel Cinematic Universe series films, as they join forces for the peacekeeping organization S.H.I.E.L.D. led by Nick Fury.",
"poster_path": "/yFSIUVTCvgYrpalUktulvk3Gi5Y.jpg"
}
],
"total_pages": 1,
"total_results": 1
}Search
Search movies
This endpoint allows you to search for movies by their original, translated, and alternative titles.
GET
/
3
/
search
/
movie
Search movies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Original, translated or alternative name of the movie you want to search.
Example:
"The Avengers"
defaults to false
Example:
"boolean"
defaults to en-US
Example:
"string"
Example:
"string"
defaults to 1
Example:
"int32"
Example:
"string"
Example:
"string"
Response
200 - application/json
search movies
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/zuW6fOiusv4X9nnW3paHGfXcSll.jpg",
"id": 86311,
"name": "The Avengers Collection",
"original_language": "en",
"original_name": "The Avengers Collection",
"overview": "A superhero film series produced by Marvel Studios based on the Marvel Comics superhero team of the same name, and part of the Marvel Cinematic Universe (MCU). The series features an ensemble cast from the Marvel Cinematic Universe series films, as they join forces for the peacekeeping organization S.H.I.E.L.D. led by Nick Fury.",
"poster_path": "/yFSIUVTCvgYrpalUktulvk3Gi5Y.jpg"
}
]
Example:
1
Example:
1
⌘I